Bug 251236 - cad/cura bug in 4.7 causes slowdowns in circular perimeters; fixed in 4.8
Summary: cad/cura bug in 4.7 causes slowdowns in circular perimeters; fixed in 4.8
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Diane Bruce
URL:
Keywords:
: 252609 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-11-18 11:01 UTC by Sebastian
Modified: 2021-01-18 23:30 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (db)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian 2020-11-18 11:01:02 UTC
In Cura version 4.7 a bug regarding slowdowns in circular perimeters was introduced (or at list gets triggered much more easily than in earlier versions):
https://github.com/Ultimaker/Cura/issues/8321

This issue makes v4.7.x hardly usable.
Sticking to v4.5 has become quite "tricky" to say the least, due to the massive python-induced dependency hell and lots of dependencies being too new and/or incompatible for the 4.5 version.

Version 4.8 has been released on November 10 that fixes this glitch in the simplification algorithm. The issue is still open, but is considered to be solved with 4.8 and changed default settings for Maximum resolution and Maximum Deviation.

From the Changelog of 4.8:
Fixed under-simplification (blobs, zits) on some printer models. An oversight in 4.6.x resulted in an oversimplification (smoothing) of models. The attempted fix in 4.7.x overcompensated, which gave difficulty (zits, blobs) for some printer models when the resulting gcode became too intricate. This is now fixed, though some profiles might need to be updated, since they where made against 4.6.x, and therefore may rely on the over-simplification.


Would it be possible to fast-forward to 4.8?
Comment 1 commit-hook freebsd_committer 2020-11-20 23:04:18 UTC
A commit references this bug:

Author: db
Date: Fri Nov 20 23:03:25 UTC 2020
New revision: 555795
URL: https://svnweb.freebsd.org/changeset/ports/555795

Log:
  From PR:

  In Cura version 4.7 a bug regarding slowdowns in circular perimeters was
  introduced (or at list gets triggered much more easily than in earlier
  versions):
  https://github.com/Ultimaker/Cura/issues/8321

  This issue makes v4.7.x hardly usable.
  Sticking to v4.5 has become quite "tricky" to say the least, due to
  the massive python-induced dependency hell and lots of dependencies
  being too new and/or incompatible for the 4.5 version.

  Version 4.8 has been released on November 10 that fixes this glitch in
  the simplification algorithm. The issue is still open, but is considered
  to be solved with 4.8 and changed default settings for Maximum resolution
  and Maximum Deviation.

  From the Changelog of 4.8:
  Fixed under-simplification (blobs, zits) on some printer models. An oversight
  in 4.6.x resulted in an oversimplification (smoothing) of models.
  The attempted fix in 4.7.x overcompensated, which gave difficulty
  (zits, blobs) for some printer models when the resulting gcode became
  too intricate. This is now fixed, though some profiles might need
  to be updated, since they where made against 4.6.x, and therefore may
  rely on the over-simplification.

  PR:			ports/251236
  Submitted by:		Sebastian <sko@rostwald.de>

Changes:
  head/cad/cura/Makefile
  head/cad/cura/distinfo
Comment 2 Tomoyuki Sakurai 2020-12-24 05:29:21 UTC
the port uses USE_GITHUB=yes, yet the commit did not change GH_TAGNAME. the package is still 4.7. as a proof, SHA256 in distinfo is identical. confusingly, the version in "About" says "master", not 4.8 nor 4.7. this PR should be reopened.
Comment 3 Diane Bruce freebsd_committer 2020-12-24 14:55:38 UTC
(In reply to Tomoyuki Sakurai from comment #2)
Oops. Ok I goofed. I'll look at this today.
Comment 4 Tomoyuki Sakurai 2020-12-25 03:35:51 UTC
here is new dependencies for cura 4.8.0.

https://github.com/trombik/freebsd-ports-cura/tree/main/devel
Comment 5 Tomoyuki Sakurai 2020-12-25 21:24:50 UTC
with my WIP ports, poudriere bulk succeeded. i'm using cure 4.8.0, and it looks fine.
Comment 6 commit-hook freebsd_committer 2020-12-28 01:26:05 UTC
A commit references this bug:

Author: db
Date: Mon Dec 28 01:25:14 UTC 2020
New revision: 559444
URL: https://svnweb.freebsd.org/changeset/ports/559444

Log:
  the port uses USE_GITHUB=yes, yet the commit did not change GH_TAGNAME.
  the package is still 4.7. as a proof, SHA256 in distinfo is identical.
  confusingly, the version in "About" says "master", not 4.8 nor 4.7.
  this PR should be reopened. (Tomoyuki Sakura)

  Apparently I forgot to remove a line causing the wrong cura version
  to be claimed as an update to 4.8
  I think I have it right this time. Apologies I should have noticed.
  I'll take the pointyhat and go sit in the corner.

  PR:		ports/251236
  Submitted by: 	sko@rostwald.de
  Reported by:	trombik1973@gmail.com

Changes:
  head/cad/cura/Makefile
  head/cad/cura/distinfo
  head/cad/cura/pkg-plist
Comment 7 Tomoyuki Sakurai 2020-12-28 04:21:54 UTC
cura is just a front-end, and heavily depends on its dependencies. without updating depended libraries, new version will not provide what the release note says. this is especially true in this PR, as the reporter needs fixes in cura engine, the slicer. I'm sure that new package will not even launch as cura needs new run-time library that I mentioned previously. please have a close look at my repository, and test the application before committing.
Comment 8 commit-hook freebsd_committer 2020-12-31 22:36:16 UTC
A commit references this bug:

Author: db
Date: Thu Dec 31 22:35:44 UTC 2020
New revision: 559782
URL: https://svnweb.freebsd.org/changeset/ports/559782

Log:
  cura is just a front-end, and heavily depends on its dependencies.
  without updating depended libraries, new version will not provide what
  the release note says. this is especially true in this PR, as the reporter
  needs fixes in cura engine, the slicer.

  Submitter was not clear with the bugs present. In any case I have corrected
  a few missing dependancies and am committing two of the dependencies
  for cura-engine.

  PR:		ports/251236
  Reported by:	trombik1973@gmail.com

Changes:
  head/devel/Makefile
  head/devel/py-pynest2d/
  head/devel/py-pynest2d/Makefile
  head/devel/py-pynest2d/distinfo
  head/devel/py-pynest2d/files/
  head/devel/py-pynest2d/files/patch-CMakeLists.txt
  head/devel/py-pynest2d/files/patch-cmake_FindClipper.cmake
  head/devel/py-pynest2d/files/patch-cmake_FindSIP.cmake
  head/devel/py-pynest2d/files/patch-src_ItemGroup.sip
  head/devel/py-pynest2d/files/patch-src_Pynest2D.sip
  head/devel/py-pynest2d/pkg-descr
  head/devel/py-pynest2d/pkg-plist
Comment 9 commit-hook freebsd_committer 2020-12-31 22:37:18 UTC
A commit references this bug:

Author: db
Date: Thu Dec 31 22:36:59 UTC 2020
New revision: 559783
URL: https://svnweb.freebsd.org/changeset/ports/559783

Log:
  cura is just a front-end, and heavily depends on its dependencies.
  without updating depended libraries, new version will not provide what
  the release note says. this is especially true in this PR, as the reporter
  needs fixes in cura engine, the slicer.

  Submitter was not clear with the bugs present. In any case I have corrected
  a few missing dependancies and am committing two of the dependencies
  for cura-engine.

  PR:			ports/251236
  Reported by:		trombik1973@gmail.com

Changes:
  head/devel/Makefile
  head/devel/libnest2d-ultimaker/
  head/devel/libnest2d-ultimaker/Makefile
  head/devel/libnest2d-ultimaker/distinfo
  head/devel/libnest2d-ultimaker/pkg-descr
  head/devel/libnest2d-ultimaker/pkg-plist
Comment 10 commit-hook freebsd_committer 2021-01-13 23:18:26 UTC
A commit references this bug:

Author: db
Date: Wed Jan 13 23:17:52 UTC 2021
New revision: 561521
URL: https://svnweb.freebsd.org/changeset/ports/561521

Log:
  Really update libarcus to 4.8

  N.B. the wrinkle in cmake build here.
  find_package(Pythoninterp 3.4 REQUIRED) can find your install Python 3.9
  instead of the DEFAULT Python. Force the correct one with a few patches.

  PR:		ports/251236
  Submitted by:	sko@rostwald.de
  Reported by:	trombik1973@gmail.com

Changes:
  head/net/libarcus/Makefile
  head/net/libarcus/distinfo
  head/net/libarcus/files/patch-CMakeLists.txt
Comment 11 commit-hook freebsd_committer 2021-01-13 23:19:28 UTC
A commit references this bug:

Author: db
Date: Wed Jan 13 23:19:07 UTC 2021
New revision: 561522
URL: https://svnweb.freebsd.org/changeset/ports/561522

Log:
  Really update libcharon to 4.8

  N.B. the wrinkle in cmake build here.
  find_package(Pythoninterp 3.4 REQUIRED) can find your install Python 3.9
  instead of the DEFAULT Python. Force the correct one with a few patches.

  PR:		ports/251236
  Submitted by:	sko@rostwald.de
  Reported by:	trombik1973@gmail.com

Changes:
  head/net/libcharon/Makefile
  head/net/libcharon/distinfo
  head/net/libcharon/files/
  head/net/libcharon/files/patch-CMakeLists.txt
Comment 12 commit-hook freebsd_committer 2021-01-16 16:23:43 UTC
A commit references this bug:

Author: db
Date: Sat Jan 16 16:23:05 UTC 2021
New revision: 561732
URL: https://svnweb.freebsd.org/changeset/ports/561732

Log:
  N.B. this port does not use distutils hence flavors *was not* defined.
  This only cropped up when integrating with cura itself.
  My fault for missing this.

  PR:		ports/251236
  Submitted by:	Sebastian <sko@rostwald.de>
  Approved by:	implicit

Changes:
  head/devel/py-pynest2d/Makefile
Comment 13 commit-hook freebsd_committer 2021-01-16 16:26:45 UTC
A commit references this bug:

Author: db
Date: Sat Jan 16 16:25:43 UTC 2021
New revision: 561733
URL: https://svnweb.freebsd.org/changeset/ports/561733

Log:
  Finally update cura now that all prequisite ports are updated.

  PR:		ports/251236

Changes:
  head/cad/cura/Makefile
  head/cad/cura/distinfo
  head/cad/cura/files/patch-CMakeLists.txt
  head/cad/cura/pkg-plist
Comment 14 Diane Bruce freebsd_committer 2021-01-17 21:23:42 UTC
*** Bug 252609 has been marked as a duplicate of this bug. ***
Comment 15 Torfinn Ingolfsen 2021-01-18 22:42:31 UTC
(In reply to commit-hook from comment #13)

There is still a problem:
tingo@kg-core2$ cura
env: %%PYTHON_CMD%%: No such file or directory

tingo@kg-core2$ head -1 /usr/local/bin/cura
#!/usr/bin/env %%PYTHON_CMD%%

tingo@kg-core2$ pkg info Cura*
Cura-4.8.0_3,2
CuraEngine-4.8,1
Comment 16 commit-hook freebsd_committer 2021-01-18 23:30:55 UTC
A commit references this bug:

Author: db
Date: Mon Jan 18 23:30:42 UTC 2021
New revision: 561986
URL: https://svnweb.freebsd.org/changeset/ports/561986

Log:
  I inadvertantly deleted a line while merging in patches. *sigh*

  PR:		ports/251236
  Reported by:	Torfinn Ingolfsen <tingox+freebsd@gmail.com>

Changes:
  head/cad/cura/Makefile